**read_files_ref.py** contains four example functions for working with text and CSV files. 

The first three functions are more specific examples (read: hard coding) of working with the Carbon Dioxide Global Trend data distributed by NOAA ESRL in both text and CSV format. These data can be obtained from ftp://aftp.cmdl.noaa.gov/products/trends/co2 (co2_trend_gl.txt and co2_trend_gl.csv) The examples are meant to illustrate multiple ways of opening, closing, and reading in data. The fourth example is more generic and allows users to pass in information about the header denotion and delimeter characters, as well as the number of records to return. All of the examples could be extended to filter missing or otherwise erroneous data.
